Update an external identifier
curl --request PATCH \
--url https://api.rigaly.com/api/v1/customers/{userId}/identifiers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<string>",
"label": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>', label: '<string>'})
};
fetch('https://api.rigaly.com/api/v1/customers/{userId}/identifiers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rigaly.com/api/v1/customers/{userId}/identifiers/{id}"
payload = {
"value": "<string>",
"label": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rigaly.com/api/v1/customers/{userId}/identifiers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'value' => '<string>',
'label' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"message": "<string>",
"data": {
"identifier": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "shopify-8842",
"label": "Shopify customer ID",
"created_at": "2023-11-07T05:31:56Z"
}
}
}Customers
Update an external identifier
PATCH
/
api
/
v1
/
customers
/
{userId}
/
identifiers
/
{id}
Update an external identifier
Authorizations
API key from the Rigaly dashboard: Authorization: Bearer rgly_sk_...
Path Parameters
The Rigaly customer ID (from lookup or previous responses).
Body
application/json
⌘I